OpenTTD Source: Data Fields

OpenTTD Source 1.11.0-RC1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - u -

- ui_count : NewGRFClass< Tspec, Tid, Tmax >
- unbalanced : Kdtree< T, TxyFunc, CoordT, DistT >
- undelivered_supply : LinkGraphJob::NodeAnnotation
- UndeliveredSupply() : LinkGraphJob::Node
- UnfocusFocusedWidget() : Window
- UnFoldAll() : SettingsContainer , SettingsPage
- Uninitialize() : AI , Game , Squirrel
- unique_id : ContentInfo
- unitnumber : Vehicle
- unitnumber_digits : BaseVehicleListWindow
- units_force : LocaleSettings
- units_height : LocaleSettings
- units_per_em : FontCache
- units_power : LocaleSettings
- units_velocity : LocaleSettings
- units_volume : CargoSpec , LocaleSettings
- units_weight : LocaleSettings
- Unload() : VehicleCargoList
- UnloadCount() : VehicleCargoList
- unlock : VideoDriver::VideoBufferLocker
- UnlockVideoBuffer() : VideoDriver , VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- UnmappedChoiceList() : UnmappedChoiceList
- UnPack() : VehicleListIdentifier
- UnpackIfValid() : VehicleListIdentifier
- Unpause() : AI , Game , ScriptInstance
- Unqueue() : LinkGraphSchedule
- UnreserveSingleTrack() : CYapfReserveTrack< Types >
- unrestricted : FlowStat
- unsatisfied_demand : LinkGraphJob::EdgeAnnotation
- UnsatisfiedDemand() : LinkGraphJob::Edge
- Unselect() : ClientNetworkContentSocketHandler
- UnselectAll() : ClientNetworkContentSocketHandler
- UNSELECTED : ContentInfo
- UnselectVehicle() : VehicleGroupWindow
- UNSET : GRFTempEngineData
- unshaded_size : Window
- Unshuffle() : MusicSystem
- unwanted : Town
- Update() : Backup< T > , CargoDataEntry , LinkGraph::Edge , OpenGLSprite
- update_frequency : ServerNetworkAdminSocketHandler
- UpdateAcceleration() : Train
- UpdateAfterLoad() : GroupStatistics
- UpdateAnnotation() : CapacityAnnotation , DistanceAnnotation
- UpdateAutoRefitState() : OrdersWindow
- UpdateAutoreplace() : GroupStatistics
- UpdateAutoResolution() : VideoDriver
- UpdateBoundingBoxCoordinates() : Vehicle
- UpdateButtons() : BuildObjectWindow
- UpdateCache() : Ship
- UpdateCaretPosition() : Textbuf
- UpdateCursorPosition() : CursorVars
- UpdateCursorPositionRelative() : CursorVars
- UpdateDeltaXY() : Aircraft , DisasterVehicle , EffectVehicle , RoadVehicle , Ship , Train , Vehicle
- UpdateEdge() : LinkGraph::Node
- UpdateFilterByTile() : BuildVehicleWindow
- UpdateFilterState() : NetworkContentListWindow , SettingEntry , SettingsContainer , SettingsPage
- UpdateInclination() : GroundVehicle< T, Type >
- UpdateListPos() : NetworkGameWindow
- UpdateLocation() : LinkGraph::Node
- UpdateMarkedText() : Textbuf
- UpdateMode() : BuildTreesWindow
- UpdateNewGRFScanStatus() : ScanProgressWindow
- UpdateOptionWidgetStatus() : BuildRoadToolbarWindow
- UpdateOskState() : OskWindow
- UpdateOverlayCargoes() : LinkGraphLegendWindow
- UpdateOverlayCompanies() : LinkGraphLegendWindow
- UpdatePalette() : OpenGLBackend
- UpdatePosition() : DisasterVehicle , Scrollbar , TrackedViewportSign , Vehicle , ViewportSign
- UpdatePositionAndViewport() : Vehicle
- UpdatePrevNextDisabledState() : StoryBookWindow
- UpdateProfits() : GroupStatistics
- UpdateRealOrderIndex() : Vehicle
- UpdateRefittability() : GRFTempEngineData
- UpdateScale() : FrametimeGraphWindow
- UpdateSelectionStates() : TimetableWindow
- UpdateSize() : Textbuf
- UpdateSpeed() : RoadVehicle , Train
- UpdateStatistics() : BaseGraphWindow
- UpdateStringIter() : Textbuf
- UpdateSupply() : LinkGraph::Node
- UpdateTimetableDuration() : OrderList
- UpdateTotalDuration() : OrderList
- UpdateViewport() : SpecializedVehicle< T, Type > , Vehicle
- UpdateViewportCoordinates() : NWidgetViewport
- UpdateVirtCoord() : BaseStation , Sign , Station , Town , Waypoint
- UpdateVisualEffect() : Vehicle
- UpdateWidgetSize() : AboutWindow , AIConfigWindow , AIDebugWindow , AIListWindow , AISettingsWindow , BaseGraphWindow , BootstrapAskForDownloadWindow , BootstrapErrorWindow , BuildAirportWindow , BuildBridgeWindow , BuildDocksDepotWindow , BuildIndustryWindow , BuildObjectWindow , BuildRailDepotWindow , BuildRailStationWindow , BuildRailWaypointWindow , BuildRoadDepotWindow , BuildRoadStationWindow , BuildSignalWindow , BuildTreesWindow , BuildVehicleWindow , BuyCompanyWindow , CheatWindow , CompanyFinancesWindow , CompanyInfrastructureWindow , CompanyLeagueWindow , CompanyStationsWindow , CompanyWindow , CreateScenarioWindow , CustomCurrencyWindow , DepotWindow , EnginePreviewWindow , ErrmsgWindow , FramerateWindow , FrametimeGraphWindow , GameOptionsWindow , GameSettingsWindow , GenerateLandscapeWindow , GenerateProgressWindow , GoalListWindow , GoalQuestionWindow , IndustryCargoesWindow , IndustryDirectoryWindow , IndustryViewWindow , LandInfoWindow , LinkGraphLegendWindow , MessageHistoryWindow , MusicTrackSelectionWindow , MusicWindow , NetworkChatWindow , NetworkClientListPopupWindow , NetworkClientListWindow , NetworkCompanyPasswordWindow , NetworkContentListWindow , NetworkGameWindow , NetworkJoinStatusWindow , NetworkLobbyWindow , NetworkStartServerWindow , NewGRFInspectWindow , NewGRFParametersWindow , NewGRFWindow , NewsWindow , OrdersWindow , PaymentRatesGraphWindow , PerformanceRatingDetailWindow , QueryStringWindow , QueryWindow , RefitWindow , ReplaceVehicleWindow , SaveLoadWindow , SavePresetWindow , ScanProgressWindow , ScenarioEditorLandscapeGenerationWindow , ScenarioEditorToolbarWindow , SelectCompanyLiveryWindow , SelectCompanyManagerFaceWindow , SelectGameWindow , SelectStationWindow< T > , SetDateWindow , SignListWindow , SpriteAlignerWindow , StationViewWindow , StatusBarWindow , StoryBookWindow , SubsidyListWindow , TextfileWindow , TimetableWindow , TooltipsWindow , TownAuthorityWindow , TownDirectoryWindow , TownViewWindow , VehicleDetailsWindow , VehicleGroupWindow , VehicleListWindow , VehicleViewWindow , Window
- UpdateWidth() : Textbuf
- UpdateZPosition() : GroundVehicle< T, Type >
- UpdateZPositionAndInclination() : GroundVehicle< T, Type >
- upgrade : ContentInfo
- UpgradeCurrent() : NewGRFWindow
- url : ContentInfo , GRFConfig , NetworkHTTPContentConnecter , ScriptInfo
- usage : LinkGraph::BaseEdge
- Usage() : LinkGraph::EdgeWrapper< Tedge >
- usage : LinkProperties
- use_as_random : AIInfo
- USE_NEXT : LinkRefresher
- use_password : NetworkCompanyInfo , NetworkGameInfo
- UseAsRandomAI() : AIInfo
- used_liveries : GRFLoadedFeatures
- used_set : BaseMedia< Tbase_set >
- used_size : TrueTypeFontCache
- used_triggers : ResolverObject
- UsePaletteAnimation() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- user : OrderBackup
- user_def_data : RailVehicleInfo , TrainCache
- UserIsAllowedToChangeNewGRFs() : GUISettings
- UsesHardwareAcceleration() : DriverFactoryBase , FVideoDriver_CocoaOpenGL , FVideoDriver_SDL_OpenGL
- UsesOriginalEconomy() : IndustrySpec
- UseSystemCursor() : VideoDriver , VideoDriver_CocoaOpenGL , VideoDriver_SDL_OpenGL
- UseTextRefStack() : CommandCost
- utf16_str : IcuStringIterator
- utf16_to_utf8 : IcuStringIterator , OSXStringIterator , UniscribeStringIterator